umbrello: JavaCodeComment Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
JavaCodeComment Class Reference

`#include <javacodecomment.h>`

Inheritance diagram for JavaCodeComment:

## Public Member Functions
| JavaCodeComment (CodeDocument *doc, const QString &text=QString())
virtual | ~JavaCodeComment ()
QString | toString () const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | getNewEditorLine (int amount)
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

class JavaCodeComment A Java code comment. There is only a single styles of comments: these are simply started with double slash sequence and no terminating characters

## Constructor & Destructor Documentation

## ◆ JavaCodeComment()

JavaCodeComment::JavaCodeComment | ( | CodeDocument * | doc,
|  | const QString & | text = `QString()`
| ) |  |
| explicit

Constructors

## ◆ ~JavaCodeComment()

JavaCodeComment::~JavaCodeComment | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getNewEditorLine()

QString JavaCodeComment::getNewEditorLine | ( | int | amount | ) |
| virtual

A special version here because we want to not only indent the new line, but to add the "//" sequence as well.

Reimplemented from TextBlock.

## ◆ toString()

QString JavaCodeComment::toString | ( |  | ) | const
| virtual

Returns
  QString

Reimplemented from TextBlock.

## ◆ unformatText()

QString JavaCodeComment::unformatText | ( | const QString & | text,
|  | const QString & | indent = `QString()`
| ) |  |
| virtual

UnFormat a long text string. Typically, this means removing the indentation (linePrefix) and/or newline chars from each line.

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javacodecomment.h
- umbrello/codegenerators/java/javacodecomment.cpp